Name:		uefitool
Version:	A55
Release:	0%{?dist}
Summary:	UEFI firmware image viewer and editor

License:	BSD
URL:		https://github.com/LongSoft/UEFITool
Source0:	https://github.com/LongSoft/UEFITool/archive/A55.tar.gz
Patch0001:	0001-Add-UEFITool-binary-to-.gitignore.patch
Patch0002:	0002-Use-system-zlib-and-qhexedit2.patch
Patch0003:	0003-Fix-up-API-changes-for-qhexedit-0.8.5.patch

BuildRequires:	cmake coreutils
BuildRequires:	gcc git
BuildRequires:	libglvnd-devel
BuildRequires:	make
BuildRequires:	qhexedit2-qt5-devel
BuildRequires:	qt5-qtbase-devel
BuildRequires:	zlib-devel

%global _hardened_build 1

%description
UEFITool is a for parsing, extracting and modifying UEFI firmware images.
It supports parsing of full BIOS images starting with the flash descriptor
or any binary files containing UEFI volumes.

%prep
%setup -q -n UEFITool-%{version}
git init
git config user.email "%{name}-owner@fedoraproject.org"
git config user.name "Fedora Ninjas"
git add .
git commit -a -q -m "%{version} baseline."
git am %{patches} </dev/null
git config --unset user.email
git config --unset user.name
cd UEFITool
%{qmake_qt5} uefitool.pro
cd ..
cd UEFIExtract
%{cmake} -G "Unix Makefiles" .
cd ..
cd UEFIFind
%{cmake} -G "Unix Makefiles" .
cd ..

%build
for x in UEFIExtract UEFIFind UEFITool ; do
	cd ${x}
	%{make_build}
	cd ..
done

%install
install -d -m 0755 '%{buildroot}%{_bindir}'
install -D --target-directory '%{buildroot}%{_bindir}' UEFITool/UEFITool UEFIFind/UEFIFind UEFIExtract/UEFIExtract

%files
%doc
%license
%{_bindir}/*

%changelog
* Fri Jul 26 2019 Peter Jones <pjones@redhat.com> - A55-0
- First attempt.

# vim:noet:filetype=spec
